NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.Routing.EditBendAngleBuilder Class Reference

More...

Inheritance diagram for NXOpen.Routing.EditBendAngleBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void CommitCurrentEdit ()
 Commits the current edit operation. More...
 
unsafe double GetSelectedBendData (out NXOpen.Vector3d anchorSegDir, out NXOpen.Point3d rcpPos, out NXOpen.Vector3d planeNormal)
 Returns information about the angle being changed. More...
 
unsafe void SetMoveAttachedFlag (bool moveAttached)
 Move all attached geometry as a rigid set. More...
 
unsafe void SetRCP (NXOpen.TaggedObject bendRcp)
 Set the Bend RCP to edit. More...
 
unsafe void SwapAnchorSegment ()
 Swap the free and anchor segments. More...
 
unsafe void UpdateAngle (double angle)
 Set the vector the defines the new bend angle. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 

Detailed Description

To create a new instance of this class, use NXOpen.Routing.RouteManager.CreateEditBendAngleBuilder

Created in NX7.5.0

Member Function Documentation

unsafe void NXOpen.Routing.EditBendAngleBuilder.CommitCurrentEdit ( )
inline

Commits the current edit operation.

Created in NX7.5.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

unsafe double NXOpen.Routing.EditBendAngleBuilder.GetSelectedBendData ( out NXOpen.Vector3d  anchorSegDir,
out NXOpen.Point3d  rcpPos,
out NXOpen.Vector3d  planeNormal 
)
inline

Returns information about the angle being changed.

Created in NX7.5.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
anchorSegDirThe anchor Segment
rcpPosThe position of the bend rcp
planeNormalThe normal of the plane the arc lies in.
Returns
Teh angle between the two segments
unsafe void NXOpen.Routing.EditBendAngleBuilder.SetMoveAttachedFlag ( bool  moveAttached)
inline

Move all attached geometry as a rigid set.

Created in NX7.5.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
moveAttachedWhether or not to move the geometry as a rigid set.
unsafe void NXOpen.Routing.EditBendAngleBuilder.SetRCP ( NXOpen.TaggedObject  bendRcp)
inline

Set the Bend RCP to edit.

Created in NX7.5.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
bendRcpBend Rcp
unsafe void NXOpen.Routing.EditBendAngleBuilder.SwapAnchorSegment ( )
inline

Swap the free and anchor segments.

Created in NX7.5.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

unsafe void NXOpen.Routing.EditBendAngleBuilder.UpdateAngle ( double  angle)
inline

Set the vector the defines the new bend angle.

Created in NX7.5.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
angleThe new angle.

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.